## view.page
Class RegistrationPage.DiscountTable

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Table
                      view.page.RegistrationPage.DiscountTable

Enclosing class:
  RegistrationPage

    private final class RegistrationPage.DiscountTable

extends Table

A class for a discount selection table.

Constructor Summary
`private` `RegistrationPage.DiscountTable(Tournament tournament, Entry entry, boolean pre)` Constructs the element.

Method Summary

Methods inherited from class view.xhtml.Table
`addTr`

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistrationPage.DiscountTable

    private RegistrationPage.DiscountTable(Tournament tournament,
                                           Entry entry,
                                           boolean pre)

  Constructs the element.

  Parameters:
    `tournament` - the tournament to get the available discounts from.
    `entry` - the entry to get the selected discounts from if null, all discounts are non-selected.
    `pre` - if true, displays pre-registration data, otherwise final registration data.